API ReferenceInboxes
Delete a message
DELETE
Deletes a message from the requested inbox by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_MESSAGE_DELETE_STARTMESSAGING_INBOX_MESSAGE_DELETE_SUCCESSMESSAGING_INBOX_MESSAGE_DELETE_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringRequested inbox ID
messageId*stringRequested message ID
Message deleted
curl -X DELETE "https://example.com/v1/messaging/inboxes/string/messages/string"Empty
How would you rate this page?
Retrieve a message GET
Retrieves a message from the requested inbox by providing its ID.
Create API Auth Token POST
Authorization endpoint for gaining token used for API requests requiring `bearerAuth`. You will be provided the required `client_id` and `client_secret` as part of onboarding. <Callout> The returned bearer token will only enable access to endpoints as per your client's defined role. Refer to [Access Control](https://learn.mattr.global/docs/platform-management/access-control) for more information. </Callout>